Skip to main content
GET
Get product collection by slug

Authorizations

x-api-key
string
header
default:sfk_your_api_key
required

Storefront API key (sfk_...)

Path Parameters

slug
string
required

Product collection slug

Response

200 - application/json

Product collection retrieved successfully

id
string
required

Unique identifier for the product collection

storeId
string
required

Identifier of the store that owns the collection

title
string
required

Title of the product collection

Example:

"Hair Services"

description
string
required

Description of the product collection

slug
string
required

URL-friendly slug for the product collection (unique per store)

Example:

"featured"

isVisible
boolean
default:true
required

Visibility flag for the collection

createdAt
string
required

Timestamp when the collection was created

updatedAt
string
required

Timestamp when the collection was last updated

deletedAt
string
required

Timestamp when the collection was soft-deleted

products
object[]
required

Products assigned to this collection

Last modified on July 26, 2026